<?php defined("SYSPATH") or die("No direct script access.") ?>
<style>
    .ui-dialog {
        width: auto !important;
    }
    .g-videothumb-dialog {
        height: auto;
    }
    #videothumb_form {
        width: 100%;
        min-width: 320px;
    }
    #videothumb_form input[type="text"]{
        width: auto;
        text-align:right;
    }
    #videothumb_form input[type="submit"]{
        float: none;
    }
    #videothumb_form input {
        display: inline;
        clear: both;
    }
    #img-holder {
        min-height:<?= $item->thumb_height ?>px;
    }
</style>
<img style="display:none;" src="<?= url::file("modules/videothumb/lib/working.gif") ?>" alt="<?= t("working")->for_html_attr() ?>">
<div class="g-videothumb-dialog">
    <p><?= t("Total video length: ")->for_html_attr() ?><span style="color: red"><?= $videolength ?></span><?= t(" seconds.")->for_html_attr() ?></p>
    <form action="<?= url::site("videothumb/dialog/{$item->id}") ?>" method="post" id="videothumb_form">
        <label for="second">Select video thumbnail offset in seconds: </label><input type="text" name="second" size="6" value="<?= $second ?>"/>
        <input type="submit" onclick="show_loader();" value="OK" id="videothumb_submit">
        <input type="hidden" value="<?= $item->file_path()?>" name="file_path">
        <input type="hidden" value="<?= $item->thumb_path()?>" name="thumb_path">
        <input type="hidden" value="<?= $item->thumb_width ?>" name="thumb_width">
        <input type="hidden" value="<?= $item->thumb_height ?>" name="thumb_height">
        <input type="hidden" value="1" name="sent">       
    </form><br/>
    <center id="img-holder">
        <img src="<?= $item->thumb_url() ?>" width="<?= $item->thumb_width ?>" height="<?= $item->thumb_height ?>" alt="">
    </center>
    <button onclick="location.href='';">Done</button>
</div>
<script>
    function show_loader(){
        document.querySelector('#img-holder').innerHTML = '<img src="<?= url::file("modules/videothumb/lib/working.gif") ?>" alt="<?= t("working")->for_html_attr() ?>">'
    }
    document.querySelector('.ui-dialog-title').innerHTML = 'Video Thumbnail Offset';
</script>
